/*
 * Copyright (C) 2018 The LineageOS Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.lineageos.jelly;

import android.app.Application;
import android.content.SharedPreferences;
import android.preference.PreferenceManager;

import org.lineageos.jelly.utils.NetworkSecurityPolicyUtils;

public class JellyApp extends Application {

    @Override
    public void onCreate() {
        super.onCreate();

        setClearTextTrafficConfig();
    }

    private void setClearTextTrafficConfig() {
        if (!NetworkSecurityPolicyUtils.isSupported()) {
            return;
        }

        SharedPreferences prefs = PreferenceManager.getDefaultSharedPreferences(this);
        boolean isPermitted = prefs.getBoolean("key_clear_text_traffic", true);
        NetworkSecurityPolicyUtils.setCleartextTrafficPermitted(isPermitted);
    }
}
